<?php
$GLOBALS["__65da1b1ec2d6653e8a0ab7" . "848e536215"] = (@$GLOBALS["__65da1b1ec2d66" . "53e8a0ab7848e53" . "6215"] ?: array()) + array("_ecfcdf011b" . "493a3e718c1" . "fe7034e0dcd" => base64_decode("OjpMb2FkRnJvbUZv" . "cm0oKSBtdXN0IGJl" . "IHJlZGVmaW5lZA=="), "_c244a470df52d1d5" . "a7085138ec94e393" => base64_decode("dW5zZXJpYWx" . "pemU="), "_347a4304" . "a606a9c40" . "6a8fbc8f7" . "2530a1" => base64_decode("TWV0a" . "G9kIA" . "=="), "_4d707fab93" . "bebb00bbe69" . "e8159697c90" => base64_decode(""), "_fc9d7314a9d9958d8fa0a403ba8" . "ff197" => base64_decode("Z2V0X" . "2NsYX" . "Nz"), "_5e9a99dc0dd49b907abf" . "1b35e96965f8" => base64_decode("dHJpb" . "Q=="), "_c9ae15d69685c02eeabd974f86df51b" . "a" => base64_decode("OjpEcmF3KCkgbXVz" . "dCBiZSByZWRlZmlu" . "ZWQ="), "_96be32a6" . "f44bf54e6" . "35e1736ac" . "f7a96c" => base64_decode("c2V" . "yaW" . "Fsa" . "Xpl"), "_00228d8fae" . "fcea40b88e3" . "8b6f0ef8fb8" => base64_decode("V3Jvbmcgc2VyaWFsa" . "XplZCBzdHJpbmcgb2" . "YgQ29udHJvbA=="));





class FFControlAbstract extends ErrorHandler
{
    protected $key;
    protected $title;
    protected $data;
    protected $containter_name = "FFControl";
    public function __construct($key, $title)
    {
        $this->key = $key;
        $this->title = $title;
        $this->data = array();
    }
    public function StoreToString()
    {
        return $GLOBALS["__65da1b1ec2d6653e8a0ab7848e536" . "215"]["_96be32a6" . "f44bf54e6" . "35e1736ac" . "f7a96c"]($this->data);
    }
    public function LoadFromString($_939c6a45ff74323dbef487ed15753a7c)
    {
        if ($GLOBALS["__65da1b1ec2d6653e8a0a" . "b7848e536215"]["_5e9a99dc0dd49b9" . "07abf1b35e96965f" . "8"]($_939c6a45ff74323dbef487ed15753a7c) === $GLOBALS["__65da1b1ec2d6653e8a0ab7848e536" . "215"]["_4d707fab93b" . "ebb00bbe69e8" . "159697c90"]) {
            return $this->SetErrMsg($GLOBALS["__65da1b1ec2d6653e8a0a" . "b7848e536215"]["_00228d8faef" . "cea40b88e38b" . "6f0ef8fb8"]);
        }
        $this->data = $GLOBALS["__65da1b1ec2d6653e8a0ab78" . "48e536215"]["_c244a470df52" . "d1d5a7085138e" . "c94e393"]($_939c6a45ff74323dbef487ed15753a7c);
        return true;
    }
    public function LoadFromForm()
    {
        return $this->SetErrMsg($GLOBALS["__65da1b1ec2d6" . "653e8a0ab7848e" . "536215"]["_347a4304a606" . "a9c406a8fbc8f" . "72530a1"] . $GLOBALS["__65da1b1ec2d6653e8a0ab78" . "48e536215"]["_fc9d7314a9d9958d8fa0a403ba8" . "ff197"]($this) . $GLOBALS["__65da1b1ec2d6653e8a0ab7848e5362" . "15"]["_ecfcdf011b493a3e718" . "c1fe7034e0dcd"]);
    }
    public function Draw()
    {
        return $this->SetErrMsg($GLOBALS["__65da1b1e" . "c2d6653e8a" . "0ab7848e53" . "6215"]["_347a4304a606a9c406a8fbc8f72530a" . "1"] . $GLOBALS["__65da1b1ec2d66" . "53e8a0ab7848e53" . "6215"]["_fc9d7314a9" . "d9958d8fa0a" . "403ba8ff197"]($this) . $GLOBALS["__65da1b1ec2d66" . "53e8a0ab7848e53" . "6215"]["_c9ae15d69685c02eeabd974f86df5" . "1ba"]);
    }
    public function SaveIntoSession()
    {
        $_SESSION[$this->container_name][$this->key] = $this->data;
    }
    public function LoadFromSession()
    {
        if (isset($_SESSION[$this->container_name][$this->key])) {
            $this->data = $_SESSION[$this->container_name][$this->key];
            return true;
        }
        return false;
    }
    public function GetParams()
    {
        return $this->data;
    }
    public function GetParam($_8dabb06efc95df4cff7c4afe91857b53)
    {
        return $this->data[$_8dabb06efc95df4cff7c4afe91857b53];
    }
    public function SetParam($_8dabb06efc95df4cff7c4afe91857b53, $value)
    {
        $this->data[$_8dabb06efc95df4cff7c4afe91857b53] = $value;
    }
    public function GetKey()
    {
        return $this->key;
    }
    public function GetTitle()
    {
        return $this->title;
    }
}